Package groovy.text.markup

# Class MarkupTemplateEngine.DefaultTemplateResolver

java.lang.Object
groovy.text.markup.MarkupTemplateEngine.DefaultTemplateResolver

All Implemented Interfaces:
  `TemplateResolver`

Direct Known Subclasses:
  `MarkupTemplateEngine.CachingTemplateResolver`

Enclosing class:
  `MarkupTemplateEngine`

public static class MarkupTemplateEngine.DefaultTemplateResolver extends Object implements TemplateResolver

## Constructor Summary

Constructors
Constructor
Description
`DefaultTemplateResolver()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(ClassLoader templateClassLoader, TemplateConfiguration configuration)`
This method is called once the template engine is initialized, providing the resolver with the template engine configuration and its template class loader.
`URL`
`resolveTemplate(String templatePath)`
Resolvers must implement this method in order to resolve a template, given a template path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultTemplateResolver

public DefaultTemplateResolver()

## Method Details

### configure

public void configure(ClassLoader templateClassLoader, TemplateConfiguration configuration)
Description copied from interface: `TemplateResolver`
This method is called once the template engine is initialized, providing the resolver with the template engine configuration and its template class loader.

Specified by:
  `configure` in interface `TemplateResolver`
Parameters:
  `templateClassLoader` - the classloader where templates will be searched for
  `configuration` - the configuration of the template engine

### resolveTemplate

public URL resolveTemplate(String templatePath) throws IOException
Description copied from interface: `TemplateResolver`
Resolvers must implement this method in order to resolve a template, given a template path. They must return a valid URL or an IOException.

Specified by:
  `resolveTemplate` in interface `TemplateResolver`
Parameters:
  `templatePath` - path to the template
Returns:
  the template URL, that will be used to load the template
Throws:
  `IOException`